%define name	ecamegapedal
%define version	0.4.4
%define release	%mkrel 6

Summary: 	A realtime effect processor
Name: 		%{name}
Version:	%{version}
Release:	%{release}
Group:		Sound
License:	GPL
URL: 		http://www.wakkanet.fi/~kaiv/ecamegapedal/
Source0: 	http://ecasound.seul.org/download/%{name}-%{version}.tar.bz2
Requires: 	jackit ecasound >= 2.2.0 
BuildRequires:	audiofile-devel
BuildRequires:	chrpath
BuildRequires:	jackit-devel
BuildRequires:	libalsa-devel
BuildRequires:	libecasound-devel
BuildRequires:	qt3-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Ecamegapedal is a realtime effect processor built on top 
of ecasound and Qt packages. It's meant to be used as 
a virtual guitar-fx or studio effect box. In addition to 
realtime operation, ecamegapedal also supports reading from
and writing to audio files. All audio file formats and effect 
algorithms provided by the ecasound libraries are supported. 
This includes JACK, ALSA, OSS, aRts, over 20 file formats, 
over 30 effect types, LADSPA plugins and multi-operator effect 
presets.

%prep

%setup -q -n %{name}-%{version}

%build

%configure2_5x \
    --with-qt-dir=%{_prefix}/lib/qt3 \
    --with-qt-includes=%{_prefix}/lib/qt3/include \
    --with-qt-libraries=%{_prefix}/lib/qt3/%{_lib} \
    --with-jack=%{_prefix} \
    --disable-static

make qt_libname=qt-mt

%install
rm -rf %{buildroot}

%makeinstall_std

# Menu

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=EcaMegaPedal
Comment=Realtime audio effects
Exec=%{_bindir}/%{name}
Icon=sound_section
Terminal=false
Type=Application
Categories=AudioVideo;Audio;
EOF

# nuke rpath
chrpath -d %{buildroot}%{_bindir}/%{name}

%post
%update_menus
		
%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc NEWS COPYING README INSTALL
%doc Documentation/ecamegapedal_manpage.html
%{_mandir}/man1/eca*
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop




%changelog
* Sun Sep 02 2007 Emmanuel Andry <eandry@mandriva.org> 0.4.4-6mdv2008.0
+ Revision: 78282
- drop old menu

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Sun Feb 25 2007 Emmanuel Andry <eandry@mandriva.org> 0.4.4-5mdv2007.0
+ Revision: 125478
- rebuild
- Import ecamegapedal

* Thu Aug 03 2006 Emmanuel Andry <eandry@mandriva.org> 0.4.4-4mdv2007.0
- xdg menu

* Fri May 19 2006 Emmanuel Andry <eandry@mandriva.org> 0.4.4-3mdk
- rebuild for ecasound
- mkrel

* Sat Apr 02 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.4.4-2mdk
- make it compile on amd64

* Mon Apr 19 2004 Austin Acton <austin@mandrake.org> 0.4.4-1mdk
- 0.4.4

